<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateIdentificadoresIskTable extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'id' => [
                'type'           => 'INT',
                'constraint'     => 10,
                'unsigned'       => true,
                'auto_increment' => true,
            ],
            'isk' => [
                'type'       => 'VARCHAR',
                'constraint' => 64,
                'null'       => false,
            ],
            'created_at' => [
                'type'    => 'DATETIME',
                'null'    => true,
                'default' => 'current_timestamp()',
            ],
            'updated_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
        ]);

        $this->forge->addKey('id', true); // primary key
        $this->forge->addUniqueKey('isk'); // unique index

        $this->forge->createTable('identificadores_isk', true);
    }

    public function down()
    {
        $this->forge->dropTable('identificadores_isk', true);
    }
}
